/*
 *  linux/include/asm-arm/arch-psionw/keyboard.h
 *
 *  Copyright (C) 1998 Russell King
 *  Copyright (C) 2001 Tony Lindgren <tony@atomide.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define NR_KEYCODES 64
#if NR_KEYCODES>0x80
#error Out of bits for scancode
#endif

#define SYSRQ_KEY	0x100	/* dummy */

extern int kbdpsion_translate(unsigned char scancode, unsigned char *keycode_p);
extern void kbdpsion_hw_init(void);
extern unsigned char kbdpsion_sysrq_xlate[NR_KEYCODES];
extern void psion_arch_handler(unsigned char value, char up_flag);

#define kbd_setkeycode(x...)	(-EINVAL)
#define kbd_getkeycode(x...)	(-EINVAL)
#define kbd_translate(sc,kc,rm) kbdpsion_translate(sc,kc)
#define kbd_unexpected_up(kc)   (0x80)
#define kbd_enable_irq(x...)	do { } while (0)
#define kbd_disable_irq(x...)	do { } while (0)
#define kbd_leds(x...)		do { } while (0)
#define kbd_init_hw()           kbdpsion_hw_init()
#define kbd_sysrq_xlate ((sysrq_pressed = 0), kbdpsion_sysrq_xlate)
#define kbd_arch_handler       psion_arch_handler
