/*
 * linux/include/asm-arm/arch-psionw/psionw-power.h
 */
#include <linux/delay.h>
#include <asm/io.h>
#include <asm/hardware/psionw.h>

/*
 * Starts the DC to DC converter
 */
static __inline__
void start_pump(int lock)
{
	if (psionw_readl(PUMPCON) == PUMP_STOP_VAL) {
		psionw_writel(PUMP_RUN_VAL, PUMPCON);
	}

	if (!(psionw_readb(PDDR) & PDDR_PUMP_PWR1) ||
	    !(psionw_readb(PDDR) & PDDR_PUMP_PWR2)) {
		psionw_writeb(psionw_readb(PDDR) | PDDR_PUMP_PWR1, PDDR);
		mdelay(30);
	        psionw_writeb(psionw_readb(PDDR) | PDDR_PUMP_PWR2, PDDR);
	}
}
